using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

namespace Waboga
{
    public enum Direction
    {
        Left,
        Right,
        Up,
        Down,
    }

    public static class DirectionUtil
    {
        public static Point ToPoint(Direction dir)
        {
            switch (dir)
            {
                default:
                case Direction.Left: return new Point(-1, 0);
                case Direction.Right: return new Point(1, 0);
                case Direction.Up: return new Point(0, -1);
                case Direction.Down: return new Point(0, 1);
            }
        }

        public static Direction GetSide(Direction dir, bool first_or_second)
        {
            switch (dir)
            {
                default:
                case Direction.Left:
                case Direction.Right:
                    return first_or_second ? Direction.Up : Direction.Down;

                case Direction.Up:
                case Direction.Down:
                    return first_or_second ? Direction.Left : Direction.Right;
            }
        }
    }
}
