using System;
using System.Collections.Generic;
using System.Text;

namespace Waboga
{
    public static class MathUtil
    {
        public static float WrapRange(float val, float min, float max)
        {
            float size = max - min;
            if (size <= 0.0001f)
                return min;

            while (val < min)
                val += size;
            while (val >= max)
                val -= size;
            return val;
        }

        public static int WrapRange(int val, int min, int max)
        {
            int size = max - min;
            if (size <= 0)
                return min;

            while (val < min)
                val += size;
            while (val >= max)
                val -= size;
            return val;
        }

        public static float DegreeDistance(float deg1, float deg2)
        {
            deg1 = WrapRange(deg1, 0.0f, 360.0f);
            deg2 = WrapRange(deg2, 0.0f, 360.0f);

            float diff = deg2 - deg1;
            while (diff < -180.0f)
                diff += 360.0f;
            while (diff > 180.0f)
                diff -= 360.0f;
            return diff;
        }
    }
}
