using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;

namespace Waboga
{
    public class RandomSkipper
    {
        private static Random m_random = new Random();

        private int m_skip;
        private int m_prime;
        private int m_left;
        private int m_max_elements;
        private int m_current_pos;

        public bool Done
        {
            get { return (m_left <= 0); }
        }

        public RandomSkipper()
        {
        }

        public void Clear()
        {
            m_left = 0;
        }

        public void Init(int elements)
        {
            Debug.Assert(elements > 0);

            m_prime = 13; // TODO: Smart search for prime
            if (elements >= m_prime)
                m_prime = 587;
            if (elements >= m_prime)
                throw new Exception("Prime not big enough");

            m_max_elements = elements;
            m_current_pos = m_random.Next(0, elements);
            m_left = elements;

            int a = m_random.Next(1, 14);
            int b = m_random.Next(1, 8);
            int c = m_random.Next(1, 6);

            m_skip = (a * elements * elements) + (b * elements) + c;
            m_skip &= (int)~0xc0000000; // So skip doesn't get too big
        }

        public int Next()
        {
            if (Done)
                throw new Exception("Series already done!");

            int ret = m_current_pos;
            --m_left;

            while (true)
            {
                m_current_pos += m_skip;
                m_current_pos %= m_prime;

                if (m_current_pos < m_max_elements)
                    break;
            }

            return ret;
        }
    }
}
