using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class GameSetupPage : UIPage
    {
        private GameStartParams m_params;

        public override void Show()
        {
            m_params = new GameStartParams();
            m_params.TryLoad(m_res.storage_device);
        }

        public override void Deinit()
        {
            m_params.Save(m_res.storage_device);
        }

        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(20, 600, 540);

            renderer.WriteLineCentered("Setup a new game", Color.White, 2.0f);

            //UIBoolean("bool_has_ai", "1 vs 1 AI game", ref m_params.has_computer_ai);
            int max_plrs = (m_params.has_computer_ai ? 2 : 4);
            UINumber("nmb_players", "Players", 2, max_plrs, ref m_params.players);
            UINumber("nmb_buttons_per_plr", "Buttons per player", 1, 9, ref m_params.pieces_per_player);

            renderer.WriteLineCentered("--- Wall pieces per player ---", Color.White, 1.0f);

            for (int i = 0; i < m_params.piece_counts.Length; ++i)
            {
                //UINumber("nmb_piece_cnt" + i, ((GamePieces)i).ToString(), 0, 30, ref m_params.piece_counts[i]);
                UIIconNumber("nmb_piece_cnt" + i, m_res.tex_wall_icons[i], 0, 30, ref m_params.piece_counts[i]);
            }

            if (UIButton("btn_start", "Start the game"))
            {
                ui.PopPage();
                ui.PushPage(new GamePage(m_params));
            }

            if (UIButton("btn_defaults", "Set to defaults"))
            {
                m_params = new GameStartParams();
            }

            if (UIButton("btn_back", "Back") ||
                UIBackButton())
            {
                ui.PopPage();
            }

            renderer.WindowEnd();

            UIEnd();
        }
    }
}
