using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class HelpPage : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(50, 600, 520, new Color(0, 0, 0, 180));

            renderer.WriteLineCentered("Instructions", Color.White, 2.0f);
            renderer.WriteLine("", Color.White);

            renderer.WriteLineCentered("The objective is to get your buttons across the board.", Color.White);
            renderer.WriteLineCentered("It doesn't matter to which block on the opposite side", Color.White);
            renderer.WriteLineCentered("you get them. To do this, each move you can either:", Color.White);
            renderer.WriteLineCentered("A) Move a piece\nB) Place a wall", Color.White);

            renderer.WriteLine("", Color.White, 1.0f);
            renderer.WriteLineCentered("You can only place walls so that they do not overlap", Color.White);
            renderer.WriteLineCentered("with existing walls and also they must not block any", Color.White);
            renderer.WriteLineCentered("player button on the board to reach their goal (that", Color.White);
            renderer.WriteLineCentered("is, it must still be possible for every button to", Color.White);
            renderer.WriteLineCentered("reach at least one of the tiles on the opposite side).", Color.White);
            //renderer.WriteLineCentered("", Color.White);

            renderer.WriteLine("", Color.White, 1.0f);
#if XBOX
            renderer.WriteLineCentered("Press A to continue..", Color.White);
#else
            renderer.WriteLineCentered("Press A or left mouse to continue..", Color.White);
#endif

            renderer.WindowEnd();

            UIEnd();

            if (Controller.WasPressed(ControllerButton.A) ||
                Controller.WasPressed(ControllerButton.B) ||
                Controller.WasPressed(ControllerButton.KeyEsc) ||
                Controller.WasPressed(ControllerButton.MouseLeft))
            {
                m_res.sound_bank.PlayCue("MenuSelect");
                ui.PopPage();
                ui.PushPage(new HelpPage2());
            }
        }
    }
}
