using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Waboga;

namespace Waboga.UI
{
    public class HelpPage2 : UIPage
    {
        public override void Update(MainUI ui, float delta_t)
        {
            UIRenderer renderer = UIBegin();

            renderer.WindowStartCentered(50, 600, 370, new Color(0, 0, 0, 180));

            renderer.WriteLineCentered("Gamepad controls", Color.White, 2.0f);
            renderer.WriteLine("", Color.White);

            renderer.WriteLineCentered("Control the active selection with the left thumbstick or the", Color.White);
            renderer.WriteLineCentered("digital pad. Rotate the camera with the right thumbstick.", Color.White);
            renderer.WriteLineCentered("Change the active button/wall with the LB and RB -buttons.", Color.White);
            renderer.WriteLineCentered("Rotate the active wall with the LT an RT -triggers.", Color.White);
            renderer.WriteLineCentered("Press A to move the button/place the wall.", Color.White);
            renderer.WriteLineCentered("Press start to pause/end the game.", Color.White);

            renderer.WriteLine("", Color.White, 1.0f);
#if XBOX
            renderer.WriteLineCentered("Press A to continue..", Color.White);
#else
            renderer.WriteLineCentered("Press A or left mouse to continue..", Color.White);
#endif

            renderer.WindowEnd();

            UIEnd();

            if (Controller.WasPressed(ControllerButton.A) ||
                Controller.WasPressed(ControllerButton.B) ||
                Controller.WasPressed(ControllerButton.KeyEsc) ||
                Controller.WasPressed(ControllerButton.MouseLeft))
            {
                m_res.sound_bank.PlayCue("MenuSelect");
                ui.PopPage();
#if !XBOX
                ui.PushPage(new HelpPage3());
#endif
            }
        }
    }
}
